@echo off
@rem #############################################################################
@rem #
@rem #    Project:  PyAALib-JyAALib Asynchronous Action Library Project
@rem #              http://pyaalib.sourceforge.net/
@rem #              http://jyaalib.sourceforge.net/
@rem #
@rem #
@rem #    License:  PyAALib-JyAALib Asynchronous Action Library
@rem #    Copyright (C) 2005, 2006, 2007, 2008, 2009  Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
@rem #
@rem #
@rem #    This program library is free software: you can redistribute it and/or modify
@rem #    it under the terms of the GNU Lesser General Public License as published by
@rem #    the Free Software Foundation, either version 3 of the License, or
@rem #    (at your option) any later version.
@rem #
@rem #    This program library is distributed in the hope that it will be useful,
@rem #    but WITHOUT ANY WARRANTY; without even the implied warranty of
@rem #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@rem #    GNU Lesser General Public License for more details.
@rem #
@rem #    You should have received a copy of the GNU General Public License
@rem #    and the GNU Lesser General Public License along with this program.  
@rem #    If not, see <http://www.gnu.org/licenses/>.
@rem #
@rem #############################################################################
@rem #
@rem #       File: 
@rem #    Version: 20090428 - Candidate Release 7
@rem #     Author: Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
@rem #
@rem #############################################################################


@set ARGS=

:loop
if [%1] == [] goto end
    set ARGS=%ARGS% %1
    shift
    goto loop
:end



@rem ########################################## To edit
@set HOMEPROJECT=C:\Users\pieritz\Workspace-Development-Vista\Workspace-Python(xy)\PyAALib-JyAALib-Head-SVN-SOURCEFORGE
@set MACHINEPROGRAMPATH=C:
@set JAVAPATH="C:\Program Files\Java\jdk1.6.0_07"
@set JYTHONHOME=%MACHINEPROGRAMPATH%\jython2.2.1
@set PYTHONHOME=%MACHINEPROGRAMPATH%\Python25



@set HOMEPROJECTMODULES=%HOMEPROJECT%\modules
@set APPLICATION=%HOMEPROJECT%\examples\hello-ParallelCluster
@set RUNFOLDER=%HOMEPROJECT%\tests

@rem ########################################## To edit end


@set JAVACOMPILER=%JAVAPATH%\bin\javac.exe
@set JAVAMACHINE=%JAVAPATH%\bin\java.exe
@rem JAVAMACHINE=java.exe




@set JYTHONPATH=%JYTHONHOME%\jython.jar
@set JYTHONMACHINE=%JYTHONHOME%\jython.bat



@set PYTHONPATH=%PYTHONHOME%
@set PYTHONMACHINE=%PYTHONHOME%\python.exe



@set MODULESPATHLOCAL=%HOMEPROJECTMODULES%
@rem ######################################################


@set CLASSPATH=.;%JYTHONPATH%;%MODULESPATHLOCAL%;%CLASSPATH%
@set PYTHONPATH=%MODULESPATHLOCAL%;%PYTHONPATH%

@echo   .
@echo   ###############################################################################################
@echo       [Running] Python TEST Hello Parallel Cluster
@echo   [Interpreter] %PYTHONMACHINE%
@echo     [Directory] %RUNFOLDER%
@echo       [Options] %ARGS%
@echo   ###############################################################################################
@echo   .


mkdir %RUNFOLDER%
cd %RUNFOLDER%

%PYTHONMACHINE%  %HOMEPROJECT%\examples\hello-ParallelCluster\library\main.py --verbose --profile %ARGS%
cd %HOMEPROJECT%\modules


