#############################################################################
#
#    Project:  PyAALib-JyAALib Asynchronous Action Library Project
#              http://pyaalib.sourceforge.net/
#              http://jyaalib.sourceforge.net/
#
#
#    License:  PyAALib-JyAALib Asynchronous Action Library
#    Copyright (C) 2005, 2006, 2007, 2008, 2009  Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#
#    This program library is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    and the GNU Lesser General Public License along with this program.  
#    If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
#       File: 
#    Version: 20090428 - Candidate Release 7
#     Author: Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#############################################################################


AL_FRAMEWORK_NAME   = "AsynchronousActionLibraryProject"        # FrameworkName
AL_VERSION          = "2.0"                                     # Version :2.0
AL_OBJECT_ID        = "AALibOBJID"
AL_TIME_INFINITE    = 999999.0                                  # Seconds - It is: 11d:13h:46m:39s:000ms
AL_TIME_MINIMUM     = 0.8                                       # Seconds - It is :00d:00h:00m:00s:100ms
AL_TIME_SECOND      = 1.0                                       # Seconds - It is :00d:00h:00m:01s:000ms
AL_TOKEN_SEPARATOR  = "[]-[]"

# ALApplication Framework
AL_FRAMEWORK_APPLICATION_NAME               = "AALibFrameworkApplication"
AL_FRAMEWORK_RESSOURCE_SYSTEM_NAME          = "system_resource.res"
AL_FRAMEWORK_RESSOURCE_USER_NAME            = "resource.res"
AL_FRAMEWORK_LOG_NAME                       = "AALib-run.log"
AL_FRAMEWORK_FORCE_CLOSE_APPLICATION        = "ForceCloseApplication"
AL_FRAMEWORK_LAST_RUN                       = "RALLastRun"
# AL_FRAMEWORK_FORCE_EXCEPTION              = "GHOST_IN_THE_SHELL"


# ALAction Signal
AL_ACTION_SIGNAL_PAUSED                     = "SignalActionPaused"
AL_ACTION_SIGNAL_ABORT                      = "SignalActionAbort"
AL_ACTION_SIGNAL_ERROR                      = "SignalActionError"
AL_ACTION_SIGNAL_EXCEPTION                  = "SignalActionException"
AL_ACTION_SIGNAL_EXIT                       = "SignalActionExit"
AL_ACTION_SIGNAL_TERMINATE_APPLICATION      = "SignalActionTerminateApplication"

# ALSignal
AL_SIGNAL_OK                                = "SignalOK"



# ALHdf5 - EDF
AL_HDF5_EDF_LIST                            = "EdfList"
AL_HDF5_EDF_HEADER_BASIC                    = "EdfHeaderBasic"
AL_HDF5_EDF_HEADER_EXTENSION                = "EdfHeaderExtension"
AL_HDF5_EDF_DATA_SET                        = "EdfDataSet"
AL_HDF5_EDF_DATA_ARRAY                      = "EdfDataArray"
AL_HDF5_FILE_NAME                           = "FILENAME"
AL_HDF5_DIMENSIONS                          = "DIMENSIONS"
AL_HDF5_X_SIZE                              = "XSize"
AL_HDF5_Y_SIZE                              = "YSize"
AL_HDF5_Z_SIZE                              = "ZSize"
AL_HDF5_CREATOR                             = "CREATOR"
AL_HDF5_AUTHOR                              = "AUTHOR"
AL_HDF5_DATE                                = "DATE"
AL_HDF5_AALIB                               = "AALIBPROJECT"
AL_HDF5_AALIB_VERSION                       = "AALIBVERSION"



# System Dependence Definition
AL_SYSTEM_UNKNOWN     = "Warning::UnknownOS"
AL_SYSTEM_JAVA        = "JavaSystem"
AL_SYSTEM_WINDOWS     = "WindowsSystem"
AL_SYSTEM_LINUX       = "LinuxSystem"
AL_SYSTEM_BSD         = "BSDSystem"
AL_SYSTEM_SOLARIS     = "SunSystem"
AL_SYSTEM_MACOSX      = "MacOSXSystem"
AL_SYSTEM_WINCYGWIN   = "WindowsCygwinSystem"





# TAG DEBUG SYSTEM Based Codes
AL_DEBUG_TAG          = "all"
AL_DEBUG_TAG_AALIB    = "aalib"   # It debugs only the AALib internals
AL_DEBUG_TAG_TEST     = "test"


# Some options to put in the command line of the applications
# --DEBUG                                    = To save the the raise information in the log file
# --DEBUG-FORCE                              = To force stop the application
# --verbose                                  = To output on the screen the information
# --log                                      = To save the output information only in the log file
