#############################################################################
#
#    Project:  PyAALib-JyAALib Asynchronous Action Library Project
#              http://pyaalib.sourceforge.net/
#              http://jyaalib.sourceforge.net/
#
#
#    License:  PyAALib-JyAALib Asynchronous Action Library
#    Copyright (C) 2005, 2006, 2007, 2008, 2009  Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#
#    This program library is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    and the GNU Lesser General Public License along with this program.  
#    If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
#
#       File: 
#    Version: 20090428 - Candidate Release 7
#     Author: Romeu Andre' Pieritz (romeu.pieritz@gmail.com)
#
#############################################################################


##############################################################################
# Importing here only Standart Python modules in the standart distribution

import  os                  as PyOS
import  sys                 as PySys
import  shutil              as PyShutil
import  copy                as PyCopy
import  random              as PyRandom
import  time                as PyTime
import  string              as PyString
import  getopt              as PyGetOpt
import  traceback           as PyTraceback
import  glob                as PyGlob
import  stat                as PyStat
import  socket              as PySocket
import  xml.dom.minidom     as PyXml
import  xmlrpclib           as PyXmlRpcLib
import  pickle              as PySerializer
import  select              as PySelect
import  threading           as PyThreading
import  xml.dom.minidom     as PyMinidom
import  imp                 as PyImport


from    httplib             import HTTP                     as PyHTTP
from    thread              import start_new_thread         as PyStartNewThread
from    threading           import Thread                   as PyThread
from    threading           import Semaphore                as PySemaphore
from    threading           import _Condition               as PyCondition
from    BaseHTTPServer      import HTTPServer               as PyHTTPServer
from    BaseHTTPServer      import BaseHTTPRequestHandler   as PyBaseHTTPRequestHandler
from    pickle              import Pickler                  as PyPickler
from    pickle              import Unpickler                as PyUnPickler

from    xml.dom.minidom     import Document                 as PyXmlDocument
from    xml.dom.minidom     import parse                    as PyXmlParser
from    xml.dom.minidom     import parseString              as PyXmlParserString
from    xml.dom.minidom     import Node                     as PyXmlNode
from    xml.dom.minidom     import Element                  as PyXmlElement
from    xml.dom.xmlbuilder  import DOMImplementationLS      as PyDOMImplementationLS
from    SimpleXMLRPCServer  import SimpleXMLRPCServer       as PySimpleXMLRPCServer
from    xmlrpclib           import ServerProxy              as PyXmlRpcServer


##################################################################################
# Jython2.2 to Python2.n compatibility - This part is not running on JavaJython yet
oSystem = PySys.platform[:4]
if (oSystem!="java"):
    import  platform            as PyPlatform
    import  getpass             as PyGetPass
    import  subprocess          as PySubProcess
    import  signal              as PySignal
    from    distutils.text_file import TextFile   as PyTextFile

##################################################################################
# Python 2.6 and 2.X future deprecated methods
# Patch to back compatibility on the imports
# it will be obsolete in future versions
#try:
#    import  md5                 as PyMD5
#    from    popen2              import popen3                   as PyPipe3
#except:
#    pass
##################################################################################



##############################################################################
#